%global momorel 1
%global md5sum_src0 132a7a28481824692e48d71b06994e09

Name:		perl-DBI
Version:	1.58
Summary:	The Perl Database Interface by Tim Bunce
Release: %{momorel}m%{?dist}
License:	GPL or Artistic
Group:		Development/Libraries
URL:            http://www.cpan.org/modules/by-module/DBI/
%NoSource 0     http://www.cpan.org/modules/by-module/DBI/DBI-%{version}.tar.gz %{md5sum_src0}
Source2:	filter-requires-dbi.sh
Patch:		DBI-1.20-win32odbc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildPrereq:    perl >= 5.8.5
BuildPrereq:	perl-PlRPC >= 0.2016-7m

%description
The Perl Database Interface (DBI) is a database access Application Programming
Interface (API) for the Perl Language. The Perl DBI API specification defines a
set of functions, variables and conventions that provide a consistent database
interface independant of the actual database being used.

%package apache
Summary: capture DBI profiling data from Apache/mod_perl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: mod_perl

%description apache
DBI::ProfileDumper::Apache - capture DBI profiling data from Apache/mod_perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
# %%define __find_requires /usr/lib/rpm/find-requires.perl
%define __find_requires %{SOURCE2}

%prep -q
%setup -q -n DBI-%{version}
%patch -p1

%build
CFLAGS="%optflags" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
rm -f %{buildroot}%{perl_vendorarch}/auto/DBI/.packlist
rm -f %{buildroot}%{perl_vendorarch}/Roadmap.pod
(
  cd %{buildroot}%{perl_vendorarch}/Win32
  ln -s DBIODBC.pm ODBC.pm
)

%clean
rm -rf %{buildroot} 
rm -f /tmp/dbiproxy.pid

%files
%defattr(-,root,root)
%doc Changes README Roadmap.pod
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/Bundle*
%{_mandir}/man3/DBD*
%{_mandir}/man3/DBI.*
%{_mandir}/man3/DBI::Const*
%{_mandir}/man3/DBI::DBD*
%{_mandir}/man3/DBI::FAQ*
%{_mandir}/man3/DBI::Gofer*
%{_mandir}/man3/DBI::Profile.*
%{_mandir}/man3/DBI::ProfileData.*
%{_mandir}/man3/DBI::ProfileDumper.*
%{_mandir}/man3/DBI::ProfileSubs.*
%{_mandir}/man3/DBI::ProxyServer*
%{_mandir}/man3/DBI::PurePerl*
%{_mandir}/man3/DBI::SQL*
%{_mandir}/man3/DBI::W32ODBC*
%{_mandir}/man3/Roadmap*
%{_mandir}/man3/TASKS*
%{_mandir}/man3/Win32*
%{perl_vendorarch}/Bundle/DBI.pm
%{perl_vendorarch}/TASKS.pod
%{perl_vendorarch}/DBD
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/goferperf.pl
%{perl_vendorarch}/dbixs_rev.pl
%dir %{perl_vendorarch}/DBI
%{perl_vendorarch}/DBI/*.pm
%{perl_vendorarch}/DBI/Const
%{perl_vendorarch}/DBI/DBD
%dir %{perl_vendorarch}/DBI/ProfileDumper
%{perl_vendorarch}/DBI/SQL
%{perl_vendorarch}/Win32/*.pm
%{perl_vendorarch}/auto/DBI
%dir %{perl_vendorarch}/DBI/Gofer
%{perl_vendorarch}/DBI/Gofer/*.pm
%{perl_vendorarch}/DBI/Gofer/Transport
%dir %{perl_vendorarch}/DBI/Util
%{perl_vendorarch}/DBI/Util/*.pm

%files apache
%defattr(-,root,root)
%{_mandir}/man3/DBI::ProfileDumper::Apache.*
%{perl_vendorarch}/DBI/ProfileDumper/Apache.pm

%changelog
* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.58-1m)
- udate to 1.58

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.56-1m)
- update to 1.56

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.54-2m)
- use vendor

* Sun Feb 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.54-1m)
- update to 1.54

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.53-1m)
- update to 1.53

* Mon Aug 28 2006 YONEKAWA Susumu <yonekawas@mmg.roka.jp>
- (1.52-1m)
- update to 1.52

* Sun Jul  9 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.51-1m)
- update to 1.51

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.50-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 Koichi Narita <pulsar@sea.plala.or.jp>
- (1.50-1m)
- update to 1.50

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.48-2m)
- rebuilt against perl-5.8.7

* Thu May  5 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.48-1m)
- update to 1.48
- revise %%files
- add Requires: mod_perl to perl-DBI-apache package

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.42-4m)
- rebuild against perl-5.8.5
- rebuild against perl-PlRPC 0.2016-8m

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.42-3m)
- remove Epoch from BuildPrereq

* Sun Jul  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.42-2m)
- make perl-DBI-apache package

* Tue Apr 20 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.42-1m)
- update to 1.42
- revise %%files

* Tue Jan 20 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.40-1m)

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.38-4m)
- rebuild against perl-5.8.2

* Sat Nov  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.38-3m)
- rebuild against perl-5.8.1

* Wed Oct 29 2003 Masaru SANUKI <sanuki@hh.iij4u.or.jp>
- (1.38-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Sep  1 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.38-1m)

* Sun Apr 13 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.35-1m)
- update to 1.35

* Sat Jan 4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.32-1m)
- update to 1.32
- why need LANG=C when make test?

* Mon Dec  2 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.31-1m)
- update to 1.31

* Sat Nov 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.30-2m)
- rebuild against perl-5.8.0

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.30-1m)

* Tue Jul 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.28-2m)
- remove BuildPreReq: gcc2.95.3
- add BuildPrereq: perl-PlRPC

* Sat Jul  6 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.28-1m)
- remove a temporary file at %clean section

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (1.21-2k)
- ver up.

* Fri Mar  1 2002 Shingo Akagaki <dora@kondara.org>
- (1.20-8k)
- add win32odbc.patch

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.20-6k)
- rebuild against for perl-5.6.1

* Mon Sep 17 2001 Toru Hoshina <toru@df-usa.com>
- (1.20-4k)
- no more fixpack...

* Fri May  4 2001 Toru Hoshina <toru@df-usa.com>
- (1.14-12k)
- rebuild by gcc 2.95.3 :-P

* Tue Nov 27 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- use perl_sitearch macro

* Thu Oct 12 2000 Motonobu Ichimura <famao@kondara.org>
- fixed Group Name ;-<

* Fri Aug 18 2000 Toru Hoshina <t@kondara.org>
- rebuild against perl 5.600.

* Thu Jul 20 2000 Toru Hoshina <t@kondara.org>
- merge from Mandrake.

* Fri Jul 07 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.13-4mdk
- FIx build as user.

* Wed May 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.13-3mdk
- Fix build for i486

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.13-2mdk
- fixed group
- rebuild with new perl
- fixed location

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First specfile
